var versionMask = null;

//初始化方法
mui.plusReady(function() {
		//初始化遮罩层
		versionMask = mui.createMask();
	
		var wgtVer = null;
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			//获取当前版本号
			wgtVer = inf.version;
			//app版本更新及检测
			checkUpdate(wgtVer)
		});
})

var ajax_update_appVersion = "http://122.143.10.96:8081/api/tradeInterface/v1/AppInterface/TradeApp/CheckAppUpdate";

//检测更新
function checkUpdate(version) {
	var dataFrom = {
		//参数：当前版本号
		version: version
	}

	mui.ajax({
		type: "POST",
		url: ajax_update_appVersion,
		async: true,
		timeout: 30000,
		data: dataFrom,
		dataType: "json",
		beforeSend: function() {
			plus.nativeUI.showWaiting("请稍后...");
			versionMask.show();
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
			versionMask.close();
		},
		success: function(data) {
			//plus.nativeUI.alert(JSON.stringify(data));
			if(data.returncode == 1) {
				var update = data.statuscode == 1
				if(update) {
					//wgt地址
//					var url = data.UpdateUrl;
//					if(url != "" && url != "null" && url != null) {
//						downWgt(url)
//						return;
//					}

					//如果没有wgt安装包地址则调用应用商店地址
					var plat_market_url = null;
					if(mui.os.ios) {
						plat_market_url = data.data[0].iosurl
					} else if(mui.os.android) {
						plat_market_url = data.data[0].androidurl
					}
					if(plat_market_url) {
						//直接下载h5升级包
						//downWgt(url);
						//直接打开appstore或者android
						plus.nativeUI.confirm("发现新版本，需要更新吗?", function(e) {
							if(e.index == 0) {
								plus.runtime.openURL(plat_market_url)
								//退出当前程序
								plus.runtime.quit();
							}
						}, "易联器械", ["是", "否"]);
					}
					else{
						return false;
					}
				}
			} else {
				plus.nativeUI.alert(data.message);
			}
		},
		error: function(t, s, g) {
			console.log(s);
			plus.nativeUI.alert("网络错误，请稍后再试！");
		}
	})
}
//下载资源
function downWgt(wgtUrl) {
	plus.nativeUI.showWaiting("下载wgt文件...");
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		if(status == 200) {
			console.log("下载wgt成功：" + d.filename);
			installWgt(d.filename); // 安装wgt包
		} else {
			console.log("下载wgt失败！");
			plus.nativeUI.alert("下载wgt失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}

// 更新应用资源
function installWgt(path) {
	plus.nativeUI.showWaiting("安装wgt文件...");
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件成功！");
		plus.nativeUI.alert("应用资源更新完成！", function() {
			cleanupdatezip(path);
		});
	}, function(e) {
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
		plus.nativeUI.alert("安装wgt文件失败[" + e.code + "]：" + e.message);
	});
}

function cleanupdatezip(path) {
	plus.io.resolveLocalFileSystemURL(path, function(fs) {
		// 可通过fs进行文件操作 
		fs.remove(function(entryitem) {
			console.log("清空app升级包缓存");
			//重启当前应用
			plus.runtime.restart();
		}, function(e) {
			mui.alert(e.message);
			plus.runtime.restart();
		});
	}, function(e) {
		alert("Request file system failed: " + e.message);
	});
}