var message = null;
// 监听plusready事件  
document.addEventListener("plusready", function() {
	message = document.getElementById("message");
	// 监听点击消息事件
	plus.push.addEventListener("click", function(msg) {
		// 获取客户端标识信息
		var info = plus.push.getClientInfo();
		alert(JSON.stringify(info));

		// 判断是从本地创建还是离线推送的消息
		switch(msg.payload) {
			case "LocalMSG":
				alert("点击本地创建消息启动：");
				break;
			default:
				alert("点击离线推送消息启动：");
				break;
		}
		// 提示点击的内容
		plus.nativeUI.alert(msg.content);
		// 处理其它数据
		logoutPushMsg(msg);
	}, false);
	// 监听在线消息事件
	plus.push.addEventListener("receive", function(msg) {
		if(msg.aps) { // Apple APNS message
			alert("接收到在线APNS消息：");
		} else {
			alert("接收到在线透传消息：");
		}

		logoutPushMsg(msg);
	}, false);
}, false);

/**
 * 日志输入推送消息内容
 */
function logoutPushMsg(msg) {
	alert("title: " + msg.title);
	alert("content: " + msg.content);
	alert("logoutPushMsg类型：" + typeof(msg.payload));
	if(msg.payload) {
		if(typeof(msg.payload) == "string") {
			alert("payload(String): " + msg.payload);
		} else {
			alert("payload(JSON): " + JSON.stringify(msg.payload));
		}
	} else {
		alert("payload: undefined");
	}
	if(msg.aps) {
		alert("aps: " + JSON.stringify(msg.aps));
	}
}

/**
 * 获取本地推送标识信息
 */
function getPushInfo() {
	var info = plus.push.getClientInfo();
	outSet("获取客户端推送标识信息：");
	outLine("id: " + info.id);
	outLine("token: " + info.token);
	outLine("clientid: " + info.clientid);
	outLine("appid: " + info.appid);
	outLine("appkey: " + info.appkey);
}